Package com.independentsoft.office.word

# Class AlternateContentChoice

java.lang.Object
com.independentsoft.office.word.AlternateContentChoice

public class AlternateContentChoice extends Object
Represents a single mc:Choice alternative inside an `AlternateContent` element. The choice applies when the consumer understands every namespace listed in the Requires attribute.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlternateContentChoice()`
  Instantiates a new alternate content choice.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AlternateContentChoice`
  `clone()`
  Clones this instance.
  `String`
  `getInnerXml()`
  Gets the raw XML content of this choice (e.g.
  `String`
  `getRequires()`
  Gets the space-delimited list of namespace prefixes the consumer must understand for this choice to apply (the Requires attribute).
  `void`
  `setInnerXml​(String innerXml)`
  Sets the raw XML content of this choice.
  `void`
  `setRequires​(String requires)`
  Sets the Requires attribute.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AlternateContentChoice

    public AlternateContentChoice()
    Instantiates a new alternate content choice.

- ## Method Details

  - ### clone

    public AlternateContentChoice clone()
    Clones this instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      the cloned alternate content choice

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRequires

    public String getRequires()
    Gets the space-delimited list of namespace prefixes the consumer must understand for this choice to apply (the Requires attribute).
    Returns:
      the requires

  - ### setRequires

    public void setRequires​(String requires)
    Sets the Requires attribute.
    Parameters:
      `requires` - the new requires

  - ### getInnerXml

    public String getInnerXml()
    Gets the raw XML content of this choice (e.g. a w:drawing).
    Returns:
      the inner xml

  - ### setInnerXml

    public void setInnerXml​(String innerXml)
    Sets the raw XML content of this choice.
    Parameters:
      `innerXml` - the new inner xml